- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OtherSolutionResults Class Reference

The OtherSolutionResults Class. More...

`#include <OSResult.h>`

Collaboration diagram for OtherSolutionResults:

[legend]
List of all members.

## Public Member Functions
| OtherSolutionResults ()
| Default constructor.
| ~OtherSolutionResults ()
| Class destructor.
bool | IsEqual (OtherSolutionResults *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
int | numberOfOtherSolutionResults
| the number of elements in the pointer of OtherSolutionResult objects
OtherSolutionResult ** | otherSolutionResult
| otherSolutionResult is a pointer to an array of OtherSolutionResult objects

## Detailed Description

The OtherSolutionResults Class.

Author:
  Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that allows the solver to report an arbitrary result associated with the solution.

Definition at line 1893 of file OSResult.h.

## Constructor & Destructor Documentation

OtherSolutionResults::OtherSolutionResults | ( |  | ) |

Default constructor.

Definition at line 876 of file OSResult.cpp.

OtherSolutionResults::~OtherSolutionResults | ( |  | ) |

Class destructor.

Definition at line 886 of file OSResult.cpp.

References numberOfOtherSolutionResults, and otherSolutionResult.

## Member Function Documentation

bool OtherSolutionResults::IsEqual | ( | OtherSolutionResults * | that | ) |

A function to check for the equality of two objects.

Definition at line 7019 of file OSResult.cpp.

bool OtherSolutionResults::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 8231 of file OSResult.cpp.

References otherSolutionResult, and OtherSolutionResult::setRandom().

## Member Data Documentation

int OtherSolutionResults::numberOfOtherSolutionResults

the number of elements in the pointer of OtherSolutionResult objects

Definition at line 1897 of file OSResult.h.

Referenced by ~OtherSolutionResults().

OtherSolutionResult** OtherSolutionResults::otherSolutionResult

otherSolutionResult is a pointer to an array of OtherSolutionResult objects

Definition at line 1902 of file OSResult.h.

Referenced by setRandom(), and ~OtherSolutionResults().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp